<!doctype html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/public.html}"
>
	<head>
		<!-- Primary Meta Tags -->
		<meta name="title" content="Kip Kuliah" />
		<meta name="description" content="Daftar kip kuliah - Sekolah tinggi manajemen informasi dan komputer Tazkia" />
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">Kip Kuliah</title>
		<script src="https://code.jquery.com/jquery-3.5.0.min.js"></script>
		<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
	</head>
	<body layout:fragment="content">
		<div class="mt-16 bg-orange-50 py-24">
			<div class="mx-auto max-w-screen-lg space-y-2 px-4 text-center">
				<h1 class="text-3xl font-semibold text-on-surface-higher md:text-4xl xl:text-6xl">
					Daftar <span class="font-bold text-orange-500">Kip Kuliah</span>
				</h1>
				<p class="text-on-surface-lower">
					Silahkan lengkapi formulir dibawah untuk mendaftar KIP Kuliah di STMIK Tazkia
				</p>
			</div>
		</div>
		<!-- alert -->
		<div x-data="{isOpen : true}" class="mx-auto mt-8 max-w-screen-lg px-4">
			<div
				x-show="isOpen"
				x-transition
				id="dismiss-alert"
				class="mt-2 rounded-default border border-success-lower bg-success-container p-4 text-sm text-on-success-container"
				role="alert"
			>
				<div class="flex">
					<div class="shrink-0">
						<svg
							class="mt-0.5 size-4 shrink-0"
							xmlns="http://www.w3.org/2000/svg"
							width="24"
							height="24"
							viewBox="0 0 24 24"
							fill="none"
							stroke="currentColor"
							stroke-width="2"
							stroke-linecap="round"
							stroke-linejoin="round"
						>
							<path d="M12 22c5.523 0 10-4.477 10-10S17.523 2 12 2 2 6.477 2 12s4.477 10 10 10z"></path>
							<path d="m9 12 2 2 4-4"></path>
						</svg>
					</div>
					<div class="ms-2">
						<h3 id="hs-dismiss-button-label" class="text-sm font-medium">
							Pendaftaran anda berhasil dikirim
							<span class="font-semibold">Anda akan segera dihubungi oleh admin</span>
						</h3>
					</div>
					<div class="ms-auto ps-3">
						<div class="-mx-1.5 -my-1.5">
							<button
								@click="isOpen = false"
								type="button"
								class="inline-flex rounded-lg bg-success-container p-1.5 text-on-success-container hover:bg-success-container-higher focus:bg-success-container-higher focus:outline-none"
								data-hs-remove-element="#dismiss-alert"
							>
								<span class="sr-only">Dismiss</span>
								<svg
									class="size-4 shrink-0"
									xmlns="http://www.w3.org/2000/svg"
									width="24"
									height="24"
									viewBox="0 0 24 24"
									fill="none"
									stroke="currentColor"
									stroke-width="2"
									stroke-linecap="round"
									stroke-linejoin="round"
								>
									<path d="M18 6 6 18"></path>
									<path d="m6 6 12 12"></path>
								</svg>
							</button>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- form -->
		<form action="" class="mx-auto my-8 max-w-screen-lg p-4" novalidate>
			<div class="space-y-4">
				<!-- informasi pribadi -->
				<div class="flex flex-nowrap items-center gap-2">
					<p class="shrink-0 text-xl font-semibold text-on-surface-higher">Informasi Pribadi</p>
					<hr class="block h-[1px] w-full border-t border-surface-outline-lower" />
				</div>
				<div class="grid grid-cols-1 gap-4 md:grid-cols-2 lg:grid-cols-3">
					<!-- nama lengkap -->
					<div>
						<label for="name" class="mb-2 block text-sm font-medium text-on-surface">Nama Lengkap</label>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="text"
								id="name"
								name="name"
								placeholder="Masukkan Nama Lengkap Anda"
								required="required"
							/>
						</div>
						<p id="errorname" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- tempat lahir -->
					<div>
						<label for="place" class="mb-2 block text-sm font-medium text-on-surface">Tempat Lahir</label>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="text"
								id="place"
								name="place"
								placeholder="Masukkan Tempat Lahir Anda"
								required="required"
							/>
						</div>
						<p id="errorplace" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- tgl lahir -->
					<div>
						<label for="date" class="mb-2 block text-sm font-medium text-on-surface">Tanggal Lahir</label>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="date"
								id="date"
								name="date"
								required="required"
							/>
						</div>
						<p id="errordate" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- NIK -->
					<div>
						<label for="nik" class="mb-2 block text-sm font-medium text-on-surface">NIK</label>
						<div class="relative">
							<input
								x-data
								x-mask="9999999999999999"
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="text"
								id="nik"
								name="nik"
								placeholder="Masukkan NIK Anda"
								required="required"
							/>
						</div>
						<p id="errornik" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- NISN -->
					<div>
						<label for="nisn" class="mb-2 block text-sm font-medium text-on-surface">NISN</label>
						<div class="relative">
							<input
								x-data
								x-mask="9999999999"
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="text"
								id="nisn"
								name="nisn"
								placeholder="Masukkan Nomor Induk Siswa Nasional Anda"
								required="required"
							/>
						</div>
						<p id="errornisn" class="mt-2 block text-sm text-error"></p>
					</div>

					<!-- No. handphone -->
					<div>
						<label for="phone" class="mb-2 block text-sm font-medium text-on-surface">No. HP</label>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="tel"
								id="phone"
								name="phone"
								placeholder="Masukkan No HP Anda"
								required="required"
							/>
						</div>
						<p id="errorphone" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- Email -->
					<div>
						<label for="email" class="mb-2 block text-sm font-medium text-on-surface">Alamat Email</label>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="email"
								id="email"
								name="email"
								placeholder="yourmail@gmail.com"
								required="required"
							/>
						</div>
						<p id="erroremail" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- Nama Ibu Kandung -->
					<div>
						<label for="mothername" class="mb-2 block text-sm font-medium text-on-surface"
							>Nama Ibu Kandung</label
						>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="text"
								id="mothername"
								name="mothername"
								placeholder="Masukan Nama Ibu Kandung Anda"
								required="required"
							/>
						</div>
						<p id="errormothername" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- Alamat Rumah -->
					<div>
						<label for="address" class="mb-2 block text-sm font-medium text-on-surface">Alamat Rumah</label>
						<div class="relative">
							<textarea
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								id="address"
								name="address"
								rows="1"
								placeholder="Masukan Alamat Rumah"
								required="required"
							></textarea>
						</div>
						<p id="erroraddress" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- Provinsi -->
					<div>
						<label for="provinsi" class="mb-2 block text-sm font-medium text-on-surface">Provinsi</label>
						<div class="relative">
							<select
								class="needs-validation peer hidden w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								id="provinsi"
								name="provinsi"
								required="required"
							>
								<option value="">-- Pilih Provinsi --</option>
								<option value="1">Jawa Barat</option>
								<option value="2">Jawa Timur</option>
							</select>
						</div>
						<p id="errorprovinsi" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- Kabupaten/kota -->
					<div>
						<label for="kabupaten" class="mb-2 block text-sm font-medium text-on-surface"
							>Kabupaten/Kota</label
						>
						<div class="relative">
							<select
								class="needs-validation peer hidden w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								id="kabupaten"
								name="kabupaten"
								required="required"
							>
								<option value="">-- Pilih Kabupaten/Kota --</option>
							</select>
						</div>
						<p id="errorkabupaten" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- Kecamatan -->
					<div>
						<label for="kecamatan" class="mb-2 block text-sm font-medium text-on-surface">Kecamatan</label>
						<div class="relative">
							<select
								class="needs-validation peer hidden w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								id="kecamatan"
								name="kecamatan"
								required="required"
							>
								<option value="">-- Pilih kecamatan --</option>
							</select>
						</div>
						<p id="errorkecamatan" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- desa/kelurahan -->
					<div>
						<label for="desa" class="mb-2 block text-sm font-medium text-on-surface">Desa/Kelurahan</label>
						<div class="relative">
							<select
								class="needs-validation peer hidden w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								id="desa"
								name="desa"
								required="required"
							>
								<option value="">-- Pilih Desa/Kelurahan --</option>
							</select>
						</div>
						<p id="errordesa" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- kode post -->
					<div>
						<label for="poscode" class="mb-2 block text-sm font-medium text-on-surface">Kode Pos</label>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="text"
								id="poscode"
								name="poscode"
								placeholder="Masukan Kode Pos Anda"
								required="required"
							/>
						</div>
						<p id="errorposcode" class="mt-2 block text-sm text-error"></p>
					</div>

					<!-- No. Pendaftaran Kip -->
					<div>
						<label for="kipnumber" class="mb-2 block text-sm font-medium text-on-surface"
							>No. Pendaftaran Kip</label
						>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="text"
								id="kipnumber"
								name="kipnumber"
								placeholder="Masukan No Pendaftaran Kip Anda"
							/>
						</div>
						<p id="errorkipnumber" class="mt-2 block text-sm text-error"></p>
					</div>
				</div>
				<!-- Asal sekolah -->
				<div class="flex flex-nowrap items-center gap-2">
					<p class="shrink-0 text-xl font-semibold text-on-surface-higher">Asal Sekolah</p>
					<hr class="block h-[1px] w-full border-t border-surface-outline-lower" />
				</div>
				<div class="grid grid-cols-1 gap-4 md:grid-cols-2 lg:grid-cols-3">
					<!-- Provinsi Asal Sekolah -->
					<div>
						<label for="provinsisekolah" class="mb-2 block text-sm font-medium text-on-surface"
							>Provinsi</label
						>
						<div class="relative">
							<select
								class="needs-validation peer hidden w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								id="provinsisekolah"
								name="provinsisekolah"
								required="required"
							>
								<option value="">-- Pilih Provinsi Asal Sekolah --</option>
							</select>
						</div>
						<p id="errorprovinsisekolah" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- Kabupaten/kota asal Sekolah -->
					<div>
						<label for="kabupatensekolah" class="mb-2 block text-sm font-medium text-on-surface"
							>Kabupaten/Kota</label
						>
						<div class="relative">
							<select
								class="needs-validation peer hidden w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								id="kabupatensekolah"
								name="kabupatensekolah"
								required="required"
							>
								<option value="">-- Pilih Kabupaten/Kota Asal Sekolah --</option>
							</select>
						</div>
						<p id="errorkabupatensekolah" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- jenis sekolah -->
					<div>
						<label for="jenissekolah" class="mb-2 block text-sm font-medium text-on-surface"
							>Jenis Sekolah</label
						>
						<div class="relative">
							<select
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								id="jenissekolah"
								name="jenissekolah"
								required="required"
							>
								<option value="">-- Pilih Jenis Sekolah --</option>
								<option value="SMA">SMA</option>
								<option value="SMK">SMK</option>
								<option value="SMKS">SMKS</option>
								<option value="MAN">MAN</option>
								<option value="MAS">MAS</option>
								<option value="PKBM">PKBM</option>
							</select>
						</div>
						<p id="errorjenissekolah" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- Nama Sekolah -->
					<div>
						<label for="school" class="mb-2 block text-sm font-medium text-on-surface">Nama Sekolah</label>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="text"
								id="school"
								name="school"
								placeholder="Masukan Nama Asal Sekolah Anda"
								required="required"
							/>
						</div>
						<p id="errorschool" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- npsn -->
					<div>
						<label for="npsn" class="mb-2 block text-sm font-medium text-on-surface">NPSN</label>
						<div class="relative">
							<input
								x-data
								x-mask="99999999"
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="text"
								id="npsn"
								name="npsn"
								placeholder="Nomor Pokok Sekolah Nasional"
								required="required"
							/>
						</div>
						<p id="errornpsn" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- Jurusan Sekolah -->
					<div>
						<label for="jurusan" class="mb-2 block text-sm font-medium text-on-surface"
							>Jurusan Sekolah (Cth: IPA, IPS)</label
						>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								type="text"
								id="jurusan"
								name="jurusan"
								placeholder="Masukan Jurusan Sekolah Anda"
								required="required"
							/>
						</div>
						<p id="errorjurusan" class="mt-2 block text-sm text-error"></p>
					</div>
					<!-- Tahun Lulus -->
					<div>
						<label for="yeargraduation" class="mb-2 block text-sm font-medium text-on-surface"
							>Tahun Lulus</label
						>
						<div class="relative">
							<input
								class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
								x-data
								x-mask="9999"
								type="text"
								id="yeargraduation"
								name="yeargraduation"
								placeholder="Masukan Tahun Lulus Anda"
								required="required"
							/>
						</div>
						<p id="erroryeargraduation" class="mt-2 block text-sm text-error"></p>
					</div>
				</div>
				<!-- piliha program studi -->
				<div class="pb-4">
					<div class="mb-4 flex flex-nowrap items-center gap-2">
						<p class="shrink-0 text-xl font-semibold text-on-surface-higher">Pilihan program Studi</p>
						<hr class="block h-[1px] w-full border-t border-surface-outline-lower" />
					</div>
					<div class="flex flex-wrap gap-4">
						<div class="flex items-center gap-2">
							<input
								type="radio"
								name="prodi"
								value="01"
								class="needs-validation size-4 rounded-full bg-surface-container disabled:pointer-events-none disabled:opacity-50"
								id="ti"
								required
							/>
							<label for="ti" class="text-sm text-on-surface-lower">Teknik Informatika</label>
						</div>
						<div class="flex items-center gap-2">
							<input
								type="radio"
								name="prodi"
								value="02"
								class="needs-validation size-4 rounded-full bg-surface-container disabled:pointer-events-none disabled:opacity-50"
								id="si"
								required
							/>
							<label for="si" class="mt-2 text-sm text-on-surface-lower">Sistem Informasi</label>
						</div>
					</div>
					<p id="errorprodi" class="block text-sm text-error"></p>
				</div>
				<button
					type="submit"
					class="inline-flex w-full items-center justify-center gap-x-2 rounded-default bg-primary px-4 py-3 text-sm font-semibold text-on-primary hover:bg-primary-higher focus:bg-primary-higher focus:outline-none focus-visible:ring-2 focus-visible:ring-primary-outline-lower disabled:cursor-not-allowed disabled:bg-primary-lowest disabled:text-on-primary/50"
				>
					Submit
				</button>
			</div>
		</form>
	</body>
</html>

<script>
	$(document).ready(function () {
		$("#provinsi").select2({
			placeholder: "-- Pilih Provinsi --",
		});

		$("#kabupaten").select2({
			placeholder: "-- Pilih Kabupaten/Kota --",
		});

		$("#kecamatan").select2({
			placeholder: "-- Pilih Kecamatan --",
		});

		$("#desa").select2({
			placeholder: "-- Pilih Desa/Kelurahan --",
		});

		$("#provinsisekolah").select2({
			placeholder: "-- Pilih Provinsi Asal Sekolah Anda --",
		});

		$("#kabupatensekolah").select2({
			placeholder: "-- Pilih Kabupaten/Kota Asal Sekolah Anda --",
		});
	});
</script>
